=== debian/control ===
Source: postgresql-15-pgroonga
Section: database
Priority: optional
Maintainer: PGroonga Project <packages@groonga.org>
Build-Depends:
  debhelper (>= 13.11.4),
  libgroonga-dev,
  libmsgpack-dev,
  pkg-config,
  postgresql-server-dev-15
Standards-Version: 4.6.2
Homepage: https://pgroonga.github.io/

Package: postgresql-15-pgroonga
Architecture: any
Conflicts: postgresql-15-pgdg-pgroonga
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libgroonga0 (>= 13.0.4),
  postgresql-15
Description: Fast full-text search plugin for PostgreSQL based on Groonga
 PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.
 It is based on Groonga full-text search engine.
