## postgresql-15-pgroonga 3.1.2

=== debian/changelog ===
postgresql-15-pgroonga (3.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Wed, 09 Aug 2023 12:43:17 -0000
