## postgresql-15-pgroonga 3.1.3

=== debian/changelog ===
postgresql-15-pgroonga (3.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Thu, 17 Aug 2023 09:35:57 -0000
