## postgresql-15-pgroonga 3.1.4

=== debian/changelog ===
postgresql-15-pgroonga (3.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 28 Sep 2023 13:44:26 -0000
