## postgresql-15-pgroonga 3.1.5

=== debian/changelog ===
postgresql-15-pgroonga (3.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Fri, 29 Sep 2023 06:10:01 -0000
