## postgresql-15-pgroonga 3.1.6

=== debian/changelog ===
postgresql-15-pgroonga (3.1.6-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Wed, 10 Jan 2024 05:44:03 -0000
