## postgresql-15-pgroonga 3.1.9

=== debian/changelog ===
postgresql-15-pgroonga (3.1.9-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Wed, 27 Mar 2024 03:51:57 -0000
