=== debian/changelog ===
postgresql-15-pgroonga (3.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 04 Jul 2024 08:34:36 -0000
