=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 14.0.2),
+  libgroonga0 (>= 14.0.5),
   postgresql-15
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.
