## postgresql-15-pgroonga 3.2.3

=== debian/changelog ===
postgresql-15-pgroonga (3.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Wed, 25 Sep 2024 06:44:14 -0000
