## postgresql-15-pgroonga 3.2.4

=== debian/changelog ===
postgresql-15-pgroonga (3.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 03 Oct 2024 10:10:06 -0000
