## postgresql-15-pgroonga 3.2.5

=== debian/changelog ===
postgresql-15-pgroonga (3.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Mon, 09 Dec 2024 07:51:36 -0000
