## postgresql-15-pgroonga 4.0.0

=== debian/changelog ===
postgresql-15-pgroonga (4.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Sun, 09 Feb 2025 10:52:57 -0000
