## postgresql-15-pgroonga 4.0.1

=== debian/changelog ===
postgresql-15-pgroonga (4.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Fri, 14 Feb 2025 02:12:24 -0000
