## postgresql-15-pgroonga 4.0.2

=== debian/changelog ===
postgresql-15-pgroonga (4.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Fri, 12 Sep 2025 08:24:31 -0000
