=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
   debhelper (>= 13.11.4),
   libgroonga-dev,
   libmsgpack-dev,
+  libxxhash-dev,
   pkg-config,
   postgresql-server-dev-15
 Standards-Version: 4.6.2
@@ -17,7 +18,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 15.0.0),
+  libgroonga0 (>= 15.1.5),
   postgresql-15
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.
