=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
   libgroonga-dev,
   libmsgpack-dev,
   libxxhash-dev,
+  meson,
+  ninja-build,
   pkg-config,
   postgresql-server-dev-15
 Standards-Version: 4.6.2
@@ -18,7 +20,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 15.1.5),
+  libgroonga0 (>= 15.1.7),
   postgresql-15
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.
