## postgresql-15-pgroonga 4.0.5

=== meson_options.txt ===
option('pg_config',
       type: 'string',
       value: '',
       description: 'Path to pg_config')
option('message_pack',
       type: 'feature',
       value: 'auto',
       description: 'Enable MessagePack support')
option('test',
       type: 'boolean',
       value: true,
       description: 'Enable test')
option('xxhash',
       type: 'feature',
       value: 'auto',
       description: 'Enable xxHash support')
