=== debian/changelog ===
postgresql-15-pgroonga (4.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Fri, 12 Dec 2025 06:56:18 -0000
